| OpenCV 3.4.1 Open Source Computer Vision

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::TrackerStateEstimator Class Referenceabstract
Tracking API

Abstract base class for TrackerStateEstimator that estimates the most likely target state. More...

`#include "tracker.hpp"`

Inheritance diagram for cv::TrackerStateEstimator:

## Public Member Functions
virtual | ~TrackerStateEstimator ()
Ptr< TrackerTargetState > | estimate (const std::vector< ConfidenceMap > &confidenceMaps)
| Estimate the most likely target state, return the estimated state. More...
String | getClassName () const
| Get the name of the specific TrackerStateEstimator. More...
void | update (std::vector< ConfidenceMap > &confidenceMaps)
| Update the ConfidenceMap with the scores. More...

## Static Public Member Functions
static Ptr< TrackerStateEstimator > | create (const String &trackeStateEstimatorType)
| Create TrackerStateEstimator by tracker state estimator type. More...

## Protected Member Functions
virtual Ptr< TrackerTargetState > | estimateImpl (const std::vector< ConfidenceMap > &confidenceMaps)=0
virtual void | updateImpl (std::vector< ConfidenceMap > &confidenceMaps)=0

## Protected Attributes
String | className

## Detailed Description

Abstract base class for TrackerStateEstimator that estimates the most likely target state.

See [159] State estimator

See [107] Statistical modeling (Fig. 3), Table III (generative) - IV (discriminative) - V (hybrid)

## Constructor & Destructor Documentation

## § ~TrackerStateEstimator()

virtual cv::TrackerStateEstimator::~TrackerStateEstimator | ( |  | ) |
| virtual

## Member Function Documentation

## § create()

static Ptr<TrackerStateEstimator> cv::TrackerStateEstimator::create | ( | const String & | trackeStateEstimatorType | ) |
| static

Create TrackerStateEstimator by tracker state estimator type.

Parameters

  trackeStateEstimatorType | The TrackerStateEstimator name

The modes available now:

- "BOOSTING" – Boosting-based discriminative appearance models. See [107] section 4.4

The modes available soon:

- "SVM" – SVM-based discriminative appearance models. See [107] section 4.5

## § estimate()

Ptr<TrackerTargetState> cv::TrackerStateEstimator::estimate | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |

Estimate the most likely target state, return the estimated state.

Parameters

  confidenceMaps | The overall appearance model as a list of :cConfidenceMap

## § estimateImpl()

virtual Ptr<TrackerTargetState> cv::TrackerStateEstimator::estimateImpl | ( | const std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected pure virtual

Implemented in cv::TrackerStateEstimatorSVM, cv::TrackerStateEstimatorAdaBoosting, and cv::TrackerStateEstimatorMILBoosting.

## § getClassName()

String cv::TrackerStateEstimator::getClassName | ( |  | ) | const

Get the name of the specific TrackerStateEstimator.

## § update()

void cv::TrackerStateEstimator::update | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |

Update the ConfidenceMap with the scores.

Parameters

  confidenceMaps | The overall appearance model as a list of :cConfidenceMap

## § updateImpl()

virtual void cv::TrackerStateEstimator::updateImpl | ( | std::vector< ConfidenceMap > & | confidenceMaps | ) |
| protected pure virtual

Implemented in cv::TrackerStateEstimatorSVM, cv::TrackerStateEstimatorAdaBoosting, and cv::TrackerStateEstimatorMILBoosting.

## Member Data Documentation

## § className

String cv::TrackerStateEstimator::className
| protected

The documentation for this class was generated from the following file:

- /build/master-contrib_docs-lin64/opencv_contrib/modules/tracking/include/opencv2/tracking/tracker.hpp